# Edit this only if you know what you're doing.
{ outputs, ... }:

{
  boot = {
    isContainer = true;
    isNspawnContainer = true;
  };

  nix = {
    channel.enable = false;
    settings = {
      experimental-features = "nix-command flakes";
      builders-use-substitutes = true;
      substituters = [
        "https://cache.nixos.org"
        "https://nix-community.cachix.org"
      ];
      trusted-public-keys = [
        "cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY="
        "nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs="
      ];
    };
  };

  nixpkgs.overlays = [
    outputs.overlays.synix-packages
    outputs.overlays.local-packages
  ];

  system.stateVersion = "25.11";
}
